ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk" <aonis...@hortonworks.com>
Subject Review Request 24843: Usability: Incorrect Postgres dependency causing issues
Date Tue, 19 Aug 2014 09:36:48 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/24843/
-----------------------------------------------------------

Review request for Ambari and Dmytro Sen.


Bugs: AMBARI-6909
    https://issues.apache.org/jira/browse/AMBARI-6909


Repository: ambari


Description
-------

Using EC2's centos6 image, Ambari fails to start with a: ERROR: Exiting with
exit code 1. Reason: Unable to start PostgreSQL server. Exiting

This is an old problem from 2013:  
<http://hortonworks.com/community/forums/topic/possible-postgres-version-
causing-ambari-server-setup-problems/>  
<http://hortonworks.com/community/forums/topic/ambari-fails-postgressql-
fails/>

We really need to fix this. I did what Phillip did in the first link above and
just installed an old postgres and it worked. Also, see the second link and
search for "Maxim Mikheev". We are still hardcoding PG_HBA_DIR =
“/var/lib/pgsql/data/” in our script. That seems dangerous, is there a way to
dynamically determine that?


Diffs
-----

  ambari-server/src/main/python/ambari-server.py ffb25bb 
  ambari-server/src/main/python/ambari_server/utils.py db9fcb7 
  ambari-server/src/test/python/TestAmbariServer.py ea3e72b 
  ambari-server/src/test/python/TestOSCheck.py de4b1e6 
  ambari-server/src/test/python/TestUtils.py a24b790 

Diff: https://reviews.apache.org/r/24843/diff/


Testing
-------

mvn clean test


Thanks,

Andrew Onischuk


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message